Skip to main content
POST
/
reports
/
domains
Get Domains Report
curl --request POST \
  --url https://api.peec.ai/customer/v1/reports/domains \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
  "limit": 1000,
  "offset": 0,
  "start_date": "2025-09-22",
  "end_date": "2025-09-22",
  "dimensions": [
    "tag_id",
    "model_id"
  ],
  "filters": [
    {
      "field": "domain",
      "operator": "in",
      "values": [
        "example.com"
      ]
    }
  ]
}
'
{
  "data": [
    {
      "domain": "example.com",
      "classification": "UGC",
      "usage_rate": 0.8,
      "citation_avg": 2.5,
      "retrieved_percentage": 0.6,
      "retrieval_rate": 1.2,
      "citation_rate": 1.5,
      "country_code": "US",
      "date": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

project_id
string

Required if using a company api key

Example:

"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"

Body

project_id
string

Required if using a company api key

Example:

"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"

limit
number
default:1000
Required range: 1 <= x <= 10000
offset
number
default:0
Required range: x >= 0
start_date
string<date>
default:2026-01-01

full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2025-09-22"

end_date
string<date>
default:2026-01-01

full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2025-09-22"

dimensions
enum<string>[]

Dimensions to break down the report by.

Available options:
prompt_id,
model_id,
tag_id,
topic_id,
date,
country_code,
chat_id
Example:
["tag_id", "model_id"]
filters
object[]

Filter results by specific fields. Multiple filters are AND'd together.

Example:
[
  {
    "field": "domain",
    "operator": "in",
    "values": ["example.com"]
  }
]

Response

200 - application/json

Success

Success

data
object[]
required